Subject: bug#28242: Batch mode compiling: Error messages are displayed with "invalid character" glyph bounding symbols.

From: Alan Mackenzie <[email-masked]>
Date: Sun, 27 Aug 2017 17:31:31 +0000

Hello, Eli.

On Sun, Aug 27, 2017 at 20:21:24 +0300, Eli Zaretskii wrote:
> > Date: Sun, 27 Aug 2017 17:05:04 +0000
> > From: Alan Mackenzie <[email-masked]>
> > Cc: [email-masked], Paul Eggert <[email-masked]>

> > I've looked into this.  My system is currently using the standard Linux
> > font, the one baked into the kernel.  I would have thought it rather
> > important to support properly - there will be lots of similarly
> > "misconfigured" systems around.

> What non-ASCII characters does that font support?

Let me cite the comment at the top of the pertinent Linux source file,
/usr/src/linux-4.13-rc3/drivers/tty/vt/cp437.uni:

#
# Unicode table for IBM Codepage 437.  Note that there are many more
# substitutions that could be conceived (for example, thick-line
# graphs probably should be replaced with double-line ones, accented
# Latin characters should replaced with their nonaccented versions,
# and some upper case Greek characters could be replaced by Latin),
# however,
# I have limited myself to the Unicodes used by the kernel ISO 8859-1,
# DEC VT, and IBM CP 437 tables.
#

It seems to be mainly ASCII, Latin-1, with lots of miscellaneous
graphics characters, including the single and double line thingies,
sufficient to support mutt, for example.

-- 
Alan Mackenzie (Nuremberg, Germany).